# Uses of Enum Class
org.apache.solr.common.cloud.PerReplicaStates.Operation.Type

Packages that use PerReplicaStates.Operation.Type
Package
Description
org.apache.solr.common.cloud
Common Solr Cloud and ZooKeeper related classes reused on both clients & server.

## Uses of PerReplicaStates.Operation.Type in org.apache.solr.common.cloud

Fields in org.apache.solr.common.cloud declared as PerReplicaStates.Operation.Type
Modifier and Type
Field
Description
`final PerReplicaStates.Operation.Type`
PerReplicaStates.Operation.`typ`
Methods in org.apache.solr.common.cloud that return PerReplicaStates.Operation.Type
Modifier and Type
Method
Description
`static PerReplicaStates.Operation.Type`
PerReplicaStates.Operation.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PerReplicaStates.Operation.Type[]`
PerReplicaStates.Operation.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.solr.common.cloud with parameters of type PerReplicaStates.Operation.Type
Modifier
Constructor
Description
``
`Operation(PerReplicaStates.Operation.Type typ, PerReplicaStates.State replicaState)`